|
Расположение в меню |
---|
Arch → Rebar tools → L-Shape Rebar 3D/BIM → Reinforcement tools → L-Shape Rebar |
Верстаки |
Arch, BIM |
Быстрые клавиши |
Нет |
Представлено в версии |
0.17 |
См. также |
Reinforcement, Арматура по эскизу, Изогнутая арматура |
Описание
Инструмент LShape Rebar позволяет пользователю создавать в структурном элементе арматурный стержень с изогнутой формой.
This tool is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager.
Применение
- Select any face of a previously created
Arch Structure object.
- Then select
L-Shape Rebar from the rebar tools.
- A task panel will pop-out on the left side of the screen as shown below.
- Select the desired orientation.
- Populate the inputs like 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' and 'Diameter' of the rebar.
- Select the mode of distribution either 'Amount' or 'Spacing'.
- If 'Spacing' is selected, a user can also opt for custom spacing.
- Pick Selected Face is used to verify or change the face for rebar distribution.
- Click OK or Apply to generate the rebars.
- Click Cancel to exit the task panel.
Task panel for the tool
Свойства
- ДанныеOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
- ДанныеFront Cover: The distance between rebar and selected face.
- ДанныеRight Cover: The distance between the right end of the rebar to right face of the structure.
- ДанныеLeft Cover: The distance between the left end of the rebar to the left face of the structure.
- ДанныеBottom Cover: The distance between rebar from the bottom face of the structure.
- ДанныеTop Cover: The distance between rebar from the top face of the structure.
- ДанныеRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
- ДанныеAmount: The amount of rebars.
- ДанныеSpacing: The distance between the axes of each bar.
Scripting
See also: Arch API, Reinforcement API and FreeCAD Scripting Basics.
The Reinforcement LShapeRebar tool can be used in macros and from the Python console by using the following function:
Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
structure=None, facename=None):
- Creates a
Rebar
object from the givenstructure
, which is an Arch Structure, andfacename
, which is a face of that structure.- If no
structure
norfacename
are given, it will take the user selected face as input.
- If no
f_cover
,b_cover
,l_cover
,r_cover
, andt_cover
are inner offset distances for the rebar elements with respect to the faces of the structure. They are respectively the front, bottom, left, right, and top offsets.diameter
is the diameter of the reinforcement bars inside the structure.rounding
is the parameter that determines the bending radius of the reinforcement bars.amount_spacing_check
if it is True it will create as many reinforcement bars as given by amount_spacing_value; if it is False it will create reinforcement bars separated by the numerical value of amount_spacing_value.amount_spacing_value
specifies the number of reinforcement bars, or the value of the separation between them, depending on amount_spacing_check.orientation
specifies the orientation of the rebar; it can be"Bottom Right"
,"Bottom Left"
,"Top Right"
, or"Top Left"
.
Пример
import FreeCAD, Arch, LShapeRebar
Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)
Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
Edition of the rebar
You can change the properties of the rebar with the following function:
editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
structure=None, facename=None)
Rebar
is a previously createdLShapeRebar
object.- The other parameters are the same as required by the
makeLShapeRebar()
function. structure
andfacename
may be omitted so that the rebar stays in the original structure.
import LShapeRebar
LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
12, 50, 6, True, 5, "Top Right")
LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
12, 70, 6, True, 5, "Top Right")
Эта страница получена от https://wiki.freecad.org/Reinforcement_LShapeRebar